gnutls_x509_crq_get_challenge_password(3)

NAME
gnutls_x509_crq_get_challenge_password - This function will get the challenge password

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_challenge_password(gnutls_x509_crq_t crq, char * pass, size_t * sizeof_pass);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

char * pass
    will hold a null terminated password

size_t * sizeof_pass
    Initially holds the size of pass.

DESCRIPTION
This function will return the challenge password in the request.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.